---
title: Patch Gateway Log
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[AI Gateway](https://developers.cloudflare.com/api/python/resources/ai_gateway)

[Logs](https://developers.cloudflare.com/api/python/resources/ai_gateway/subresources/logs)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Patch Gateway Log

ai\_gateway.logs.edit(strid, LogEditParams\*\*kwargs) -> object

PATCH/accounts/{account\_id}/ai-gateway/gateways/{gateway\_id}/logs/{id}

Updates metadata for an AI Gateway log entry.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`AI Gateway Write`

##### ParametersExpand Collapse

account\_id: str

[Link to this property](<#(resource)%20ai_gateway.logs%20%3E%20(method)%20edit%20%3E%20(params)%20default%20%3E%20(param)%20account_id%20%3E%20(schema)>)

gateway\_id: str

Unique identifier of the AI Gateway within the account.

maxLength64

minLength1

[Link to this property](<#(resource)%20ai_gateway.logs%20%3E%20(method)%20edit%20%3E%20(params)%20default%20%3E%20(param)%20gateway_id%20%3E%20(schema)>)

id: str

[Link to this property](<#(resource)%20ai_gateway.logs%20%3E%20(method)%20edit%20%3E%20(params)%20default%20%3E%20(param)%20id%20%3E%20(schema)>)

feedback: Optional\[float]

maximum1

minimum-1

[Link to this property](<#(resource)%20ai_gateway.logs%20%3E%20(method)%20edit%20%3E%20(params)%20default%20%3E%20(param)%20feedback%20%3E%20(schema)>)

<details>

<summary>

metadata: Optional\[Dict\[str, Union\[str, float, bool]]]

</summary>

One of the following:

str

<a href="#(resource)%20ai_gateway.logs%20%3E%20(method)%20edit%20%3E%20(params)%20default%20%3E%20(param)%20metadata%20%3E%20(schema)%20%3E%20(items)%20%3E%20(variant)%200">Link to this property</a>

float

<a href="#(resource)%20ai_gateway.logs%20%3E%20(method)%20edit%20%3E%20(params)%20default%20%3E%20(param)%20metadata%20%3E%20(schema)%20%3E%20(items)%20%3E%20(variant)%201">Link to this property</a>

bool

<a href="#(resource)%20ai_gateway.logs%20%3E%20(method)%20edit%20%3E%20(params)%20default%20%3E%20(param)%20metadata%20%3E%20(schema)%20%3E%20(items)%20%3E%20(variant)%202">Link to this property</a>

</details>

[Link to this property](<#(resource)%20ai_gateway.logs%20%3E%20(method)%20edit%20%3E%20(params)%20default%20%3E%20(param)%20metadata%20%3E%20(schema)>)

score: Optional\[float]

maximum100

minimum0

[Link to this property](<#(resource)%20ai_gateway.logs%20%3E%20(method)%20edit%20%3E%20(params)%20default%20%3E%20(param)%20score%20%3E%20(schema)>)

##### ReturnsExpand Collapse

object

[Link to this property](<#(resource)%20ai_gateway.logs%20%3E%20(method)%20edit%20%3E%20(network%20schema)%20%3E%20(property)%20result>)

### Patch Gateway Log

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
response = client.ai_gateway.logs.edit(
    id="id",
    account_id="0d37909e38d3e99c29fa2cd343ac421a",
    gateway_id="my-gateway",
)
print(response)
```

200 example

```
{
  "result": {},
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "result": {},
  "success": true
}
```